%global momorel 1
%global plugins down-root auth-pam
%global md5sum_src0 4bd7a42991c93db23842a0992debe53b

Summary: A Secure UDP Tunneling Daemon
Name: openvpn
Version: 2.0.5
Release: %{momorel}m
URL: http://sourceforge.net/projects/openvpn/
%NoSource 0 http://openvpn.net/release/openvpn-%{version}.tar.gz %{md5sum_src0}
Source1: openvpn.init
# Sample 2.0 config files
Source2: roadwarrior-server.conf
Source3: roadwarrior-client.conf
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: lzo-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
Requires:      dev

# Filter out the perl(Authen::PAM) dependency.
# No perl dependency is really needed at all.
%define __perl_requires sh -c 'cat > /dev/null'

%description
OpenVPN is a robust and highly flexible tunneling application that
uses all of the encryption, authentication, and certification features
of the OpenSSL library to securely tunnel IP networks over a single
UDP port. It can use the Marcus Franz Xaver Johannes Oberhumer's LZO
library for compression.

%define debug_package %{nil}

%prep
%setup -q

%build
%configure \
  --enable-pthread \
  --enable-password-save \
  --enable-iproute2 \
  --with-lzo-headers=%{_includedir}/lzo
%make

# Build plugins
for plugin in %{plugins} ; do
    %{__make} -C plugin/$plugin
done

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%__install -c -d -m 755 %{buildroot}%{_mandir}/man8
%__install -c -m 755 %{name}.8 %{buildroot}%{_mandir}/man8
%__install -c -d -m 755 %{buildroot}%{_sbindir}
%__install -c -m 755 %{name} %{buildroot}%{_sbindir}
%__install -c -d -m 755 %{buildroot}%{_initscriptdir}
%__install -c -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/%{name}
%__install -c -d -m 755 %{buildroot}%{_sysconfdir}/%{name}

%__mkdir_p %{buildroot}%{_datadir}/%{name}
%__cp -pr contrib easy-rsa sample-{config-file,key,script}s %{buildroot}%{_datadir}/%{name}
cp %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/sample-config-files/

mkdir -p %{buildroot}%{_datadir}/%{name}/plugin/lib
for plugin in %{plugins} ; do
    install -m 0755 plugin/$plugin/openvpn-$plugin.so \
    %{buildroot}%{_datadir}/%{name}/plugin/lib/openvpn-$plugin.so
    cp plugin/$plugin/README plugin/$plugin.txt
done

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = 0 ]
then
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT.GPL INSTALL NEWS PORTS README 
%doc plugin/*.txt
%{_mandir}/man8/%{name}.8*
%{_sbindir}/%{name}
%{_datadir}/%{name}
%config %{_initscriptdir}/%{name}
%config %dir %{_sysconfdir}/%{name}

%changelog
* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.0.5-1m)
- up to 2.0.5
- [SECURITY] CVE-2005-3393, CVE-2005-3409, 

* Wed Aug 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.0.1-1m)
- up to 2.0.1
- [SECURITY] CAN-2005-2531 CAN-2005-2532 CAN-2005-2533 CAN-2005-2534

* Sat Jun 23 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0-2m)
- build with plugins

* Sat Jun 11 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0-1m)
- bug fix and support multi mode

* Thu Feb 17 2005 Toru Hoshina <t@momonga-linux.org>
- (1.6.0-2m)
- do not start/stop at %%post/%%postun.

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-1m)
- initial import to Momonga
